Bug 1468718 - [DOCS] 3.2 documentation should include steps to scale up cassandra for cluster metrics
[DOCS] 3.2 documentation should include steps to scale up cassandra for clust...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brandi
Junqi Zhao
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 13:56 EDT by Eric Jones
Modified: 2017-09-19 15:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 15:14:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2017-07-07 13:56:09 EDT
Document URL: 
[0] https://docs.openshift.com/enterprise/3.2/install_config/cluster_metrics.html
[1] https://docs.openshift.com/container-platform/3.3/install_config/cluster_metrics.html#cluster-metrics-scaling-pods-cassandra

Section Number and Name: 
Enabling Cluster Metrics

Describe the issue: 
Cassandra has not changed enough between 3.2 [0] to 3.3 [1] for the documentation to scale up cassandra to not work.

Suggestions for improvement: 
We need to make a copy of those steps in the 3.2 documentation
Comment 1 Brandi 2017-07-17 16:34:17 EDT
Hi Eric, 

I added the section from 3.3 to 3.2 in PR4799[1].

[1]https://github.com/openshift/openshift-docs/pull/4799
Comment 2 Junqi Zhao 2017-07-27 23:19:47 EDT
@Brandi,

There is one note: Autoscaling the metrics components, such as Hawkular and Heapster, is not supported by OpenShift Container Platform.

in https://docs.openshift.com/container-platform/3.3/install_config/cluster_metrics.html#cluster-metrics-scaling-pods-cassandra


I think you missed it, other parts are fine.
Comment 3 Brandi 2017-07-31 16:21:02 EDT
Thanks, @Junqi! 

Is it just the "Horizontal Pod Autoscaling" section or all of the content containing Hawkular and Heapster that needs to be removed from the added sections?
Comment 4 Junqi Zhao 2017-07-31 20:33:37 EDT
(In reply to Brandi from comment #3)
> Thanks, @Junqi! 
> 
> Is it just the "Horizontal Pod Autoscaling" section or all of the content
> containing Hawkular and Heapster that needs to be removed from the added
> sections?

What I mean is, your PR, "Scaling {product-title} Metrics Pods" part, you should add the following note:
Autoscaling the metrics components, such as Hawkular and Heapster, is not supported by {product-title}.

There is one such node in https://docs.openshift.com/container-platform/3.3/install_config/cluster_metrics.html#cluster-metrics-scaling-pods-cassandra

"Scaling OpenShift Container Platform Metrics Pods" part,

Autoscaling the metrics components, such as Hawkular and Heapster, is not supported by OpenShift Container Platform.
Comment 5 Brandi 2017-09-11 11:24:54 EDT
Thanks! I added the note.
Comment 6 Junqi Zhao 2017-09-11 20:59:20 EDT
LGTM.

Close it as VERIFIED

Note You need to log in before you can comment on or make changes to this bug.